Bug 1269813 - Review Request: golang-github-dgrijalva-jwt-go - Golang implementation of JSON Web Tokens (JWT)
Review Request: golang-github-dgrijalva-jwt-go - Golang implementation of JSO...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
: 1271708 (view as bug list)
Depends On:
Blocks: 1272248
  Show dependency treegraph
 
Reported: 2015-10-08 05:33 EDT by Jan Chaloupka
Modified: 2015-12-05 16:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 14:21:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lsm5: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jan Chaloupka 2015-10-08 05:33:51 EDT
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-dgrijalva-jwt-go/golang-github-dgrijalva-jwt-go.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-dgrijalva-jwt-go/golang-github-dgrijalva-jwt-go-2.2.0-1.fc20.src.rpm

Description: Golang implementation of JSON Web Tokens (JWT)

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=11370756

$ rpmlint golang-github-dgrijalva-jwt-go-2.2.0-1.fc20.src.rpm golang-github-dgrijalva-jwt-go-devel-2.2.0-1.fc20.noarch.rpm golang-github-dgrijalva-jwt-go-unit-test-2.2.0-1.fc20.x86_64.rpm
golang-github-dgrijalva-jwt-go-unit-test.x86_64: E: devel-dependency golang-github-dgrijalva-jwt-go-devel
3 packages and 0 specfiles checked; 1 errors, 0 warnings.
Comment 1 Lokesh Mandvekar 2015-10-09 00:21:32 EDT
- package conforms to current golang packaging draft
- license correct and valid
- only sources installed

approved
Comment 2 Upstream Release Monitoring 2015-10-14 10:12:11 EDT
lpabon's scratch build of golang-github-dgrijalva-jwt-go-2.2.0.23-1.git5ca8014.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11444564
Comment 3 Jan Chaloupka 2015-10-15 09:10:32 EDT
*** Bug 1271708 has been marked as a duplicate of this bug. ***
Comment 4 Fedora Update System 2015-10-15 13:19:42 EDT
golang-github-dgrijalva-jwt-go-2.2.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f0cadbf1f2
Comment 5 Fedora Update System 2015-10-15 13:19:50 EDT
golang-github-dgrijalva-jwt-go-2.2.0-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a76e0f23fb
Comment 6 Fedora Update System 2015-10-15 13:19:54 EDT
golang-github-dgrijalva-jwt-go-2.2.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0161e398ec
Comment 7 Fedora Update System 2015-10-15 13:20:00 EDT
golang-github-dgrijalva-jwt-go-2.2.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cc6d4648de
Comment 8 Fedora Update System 2015-10-15 16:53:50 EDT
golang-github-dgrijalva-jwt-go-2.2.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-dgrijalva-jwt-go'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cc6d4648de
Comment 9 Fedora Update System 2015-10-16 04:51:04 EDT
golang-github-dgrijalva-jwt-go-2.2.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-dgrijalva-jwt-go'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0161e398ec
Comment 10 Fedora Update System 2015-10-16 09:49:52 EDT
golang-github-dgrijalva-jwt-go-2.2.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update golang-github-dgrijalva-jwt-go'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f0cadbf1f2
Comment 11 Fedora Update System 2015-10-16 10:19:15 EDT
golang-github-dgrijalva-jwt-go-2.2.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-dgrijalva-jwt-go'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a76e0f23fb
Comment 12 Luis Pabón 2015-12-03 19:40:27 EST
This package is required by heketi.  I am not sure how I was able to build before, but now I am not.

Here is the output:
DEBUG util.py:393:  Getting requirements for heketi-1.0.2-1.fc22.src
DEBUG util.py:393:   --> go-compilers-golang-compiler-1-3.fc22.x86_64
DEBUG util.py:393:   --> golang-github-auth0-go-jwt-middleware-devel-0.1-1.git8c897f7.fc22.noarch
DEBUG util.py:393:   --> golang-github-boltdb-bolt-devel-0-0.1.git3b44955.fc22.noarch
DEBUG util.py:393:   --> golang-github-codegangsta-negroni-devel-0.1-1.gitc7477ad.fc22.noarch
DEBUG util.py:393:   --> golang-github-gorilla-context-devel-0-0.30.git215affd.fc22.noarch
DEBUG util.py:393:   --> golang-github-gorilla-mux-devel-0-0.18.git8096f47.fc22.noarch
DEBUG util.py:393:   --> golang-github-lpabon-godbc-devel-1.0.1-1.git9577782.fc22.noarch
DEBUG util.py:393:   --> golang-golangorg-crypto-devel-0-0.3.gitc57d4a7.fc22.noarch
DEBUG util.py:393:   --> golang-golangorg-crypto-devel-0-0.3.gitc57d4a7.fc22.noarch
DEBUG util.py:393:   --> systemd-219-25.fc22.x86_64
DEBUG util.py:393:  Error: No Package found for golang(github.com/dgrijalva/jwt-go)

https://kojipkgs.fedoraproject.org//work/tasks/3673/12043673/root.log
Comment 13 Jan Chaloupka 2015-12-04 06:56:21 EST
It has not been pushed to stable and override has expired. I have requested push to stable for all 4 builds. Plus prolonging override. It should be working again in 30 minutes.
Comment 14 Fedora Update System 2015-12-04 14:21:27 EST
golang-github-dgrijalva-jwt-go-2.2.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-12-04 16:21:22 EST
golang-github-dgrijalva-jwt-go-2.2.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-12-05 16:42:17 EST
golang-github-dgrijalva-jwt-go-2.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.